#include "csapp.h"

int main() {
  if (Fork() == 0) {
    printf("c\n");
    fflush(NULL);

    fclose(fopen("file", "w"));
  } else {
    while (!fopen("file", "r")) { }
    remove("file");

    printf("p\n");
  }

  printf("done\n");
 
  return 1;
}

/*
             c    mk file    done
        ---->*----->*-------->*--->* exit
       |            |
       |            V      p  done
  ---->*----------->*----->*--->*---->* exit
      fork       open file

 => c before p, and done only after a c or p, so

       c, done, p, done; or
       c, p, done, done

*/
